Eclipse Platform Release 3.7

## org.eclipse.search.ui.text
Class TextSearchQueryProvider.TextSearchInput

    java.lang.Object
      org.eclipse.search.ui.text.TextSearchQueryProvider.TextSearchInput

Enclosing class:
  TextSearchQueryProvider

    public abstract static class TextSearchQueryProvider.TextSearchInput

extends Object

Specified the input for a search query.

Clients may instantiate this class.

Constructor Summary
`TextSearchQueryProvider.TextSearchInput()`

Method Summary
`abstract FileTextSearchScope` `getScope()` Returns the scope for the search
`abstract String` `getSearchText()` Returns the search text to search for.
`abstract boolean` `isCaseSensitiveSearch()` Returns whether the search is a case sensitive search or not.
`abstract boolean` `isRegExSearch()` Returns whether the search text denotes a regular expression or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSearchQueryProvider.TextSearchInput

    public TextSearchQueryProvider.TextSearchInput()

Method Detail

### getSearchText

    public abstract String getSearchText()

  Returns the search text to search for.

  Returns:
    the search text, depending on `isRegExSearch()` the search text represents a regular expression or a pattern using '*' and '?' as wildcards. The empty search text signals a file name search.

### isCaseSensitiveSearch

    public abstract boolean isCaseSensitiveSearch()

  Returns whether the search is a case sensitive search or not.

  Returns:
    whether the pattern is to be used case sensitive or not.

### isRegExSearch

    public abstract boolean isRegExSearch()

  Returns whether the search text denotes a regular expression or not.

  Returns:
    whether the pattern denotes a regular expression.

### getScope

    public abstract FileTextSearchScope getScope()

  Returns the scope for the search

  Returns:
    the scope for the search

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.